-- Copyright (c) 2025 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local video_type = Input[1]
local system_id = Input[2]
local PATH_MAP = {
    {
        CaterrorVideo = "/tmp/web/video_caterror.rep",
        PoweroffVideo = "/tmp/web/video_poweroff.rep",
        OsresetVideo = "/tmp/web/video_osreset.rep"
    },
    {
        CaterrorVideo = "/tmp/web/system2_video_caterror.rep",
        PoweroffVideo = "/tmp/web/system2_video_poweroff.rep",
        OsresetVideo = "/tmp/web/system2_video_osreset.rep"
    }
}


if not system_id or system_id == cjson.null then
    system_id = 1
end

return PATH_MAP[system_id][video_type]